### Method

# Xdp Settings read_uint

#### Declaration [src]

    guint
    xdp_settings_read_uint (
      XdpSettings* settings,
      const char* namespace,
      const char* key,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Read a setting value as unsigned int within `namespace`, with `key`.

#### Parameters

`namespace`

  Type: `const char*`

  The namespace of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const char*`

  The key of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A GCancellable or NULL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

The uint value, or 0 if not found or not the right type. If `error` is not NULL, then the error is returned.